Arch Dividir malla

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch SplitMesh and the translation is 29% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch SplitMesh.svg Arch SplitMesh

Ubicación en el Menú
Arquitectura → Utilidades → Dividir malla
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
None
Introducido en versión
-
Ver también
Seleccionar Mallas no sólidas


Descripción

Esta herramienta divide un objeto Malla seleccionado en sus componentes separados

Utilización

  1. Seleccionar un objeto malla
  2. Presionar Arch SplitMesh.png Dividir malla en el manú Arquitectura -> Menu de utilidades

Programación

Esta herramienta se puede utilizar en macros y desde la consola de Python mediante las siguientes funciones:

new_list = splitMesh(obj, mark=True)
Divide el objeto malla dado en sus componentes separados.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)